@import "../base/variable.scss";
@import "../base/mixins.scss";

.map_section{
    
    .maps{
        iframe{
            height: 500px;
            width: 100%;
        }
    }
}
.stay_in_touch_section{
    margin-top: -240px;
    padding-bottom: 250px;
    background-color: #F5F5F5;
    .content_box{
        position: relative;
        .inner_area{
            background-color: $light_blue;
            .left_area{
                .content{
                    padding-left: 60px;
                    padding-top: 150px;
                    h4{
                        font-size: 48px;
                        font-weight: 700;
                        line-height: 72px;
                        color: $white;
                    }
                   
                }
                .map_img{
                    position: absolute;
                    bottom: 28px;
                    img{
                        width: 100%;
                        height: 100%;
                        object-fit: cover;
                    }
                }
            }
            .right_area{
                padding-bottom: 30px;
                .content{
                    @include clearfix();
                    padding-top: 30px;
                    .left{
                        float: left;
                        width: 40px;
                        .flag{
                            width: 40px;
                            height: 20px;
                            img{
                                width: 100%;
                                height: 100%;
                                object-fit: cover;
                            }
                        }
                    }
                    .right{
                        float: left;
                        padding-left: 15px;
                        width: calc(100% - 40px);
                        border-bottom: 1px solid $border_line;
                        padding-bottom: 30px;
                        &.remove_border{
                            border-bottom:none;
                        }
                        h4{
                            font-size: 24px;
                            font-weight: 700;
                            color: $white;
                        }
                        p{
                            font-size: 14px;
                            font-weight: 500;
                            color: $white;
                           padding-top: 20px;
                            line-height: 21px;
                        }
                        ul{
                            padding-top: 20px;
                            li{
                                padding-bottom: 8px;
                                a{
                                    color: $white;
                                    font-size: 14px;
                                    font-weight: 500;        }
                                &:last-child{
                                    padding-bottom: 0px;
                                }
                            }
                        }
                    }
                }
            }
        }
        .in_touch{
            background-color: $white;
            position: absolute;
            z-index: 1;
            top: 30px;
            left: 0;
            padding: 30px 0;
            padding-left: 60px;
            padding-right: 30px;
            
            p{
                font-size: 24px;
                font-weight: 500;
                color: $light_blue;
            }
        }
    }
}



/* Extra Huge large desktops */
@media (min-width: 1920px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1680px) and (max-width: 1919px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1600px) and (max-width: 1679px){
    
}

/* Extra large desktops and mac laptops*/
@media (min-width: 1400px) and (max-width: 1599px){
    
}
@media (min-width: 1200px) and (max-width: 1399px) {
   
}
/* Landscape tablets and medium desktops */
@media (min-width: 992px) and (max-width: 1199px) {
    .map_section{
        .maps{
            iframe{
                height: 400px;
            }
        }
    }
    .stay_in_touch_section{
        margin-top: -178px;
        padding-bottom: 80px;
        .content_box{
            .inner_area{
                .left_area{
                    .content{
                        h4{
                            font-size: 43px;
                            line-height: 60px;
                        }
                    }
                }
                .right_area{
                    .content{
                        .right{
                            h4{
                                font-size: 22px;
                            }
                            p{
                                padding-top: 14px;
                            }
                            ul{
                                padding-top: 14px;
                                li{
                                    padding-bottom: 5px;
                                }
                            }
                        }
                    }
                }
            }
            .in_touch{
                padding-top: 20px;
                padding-bottom: 20px;
            }
        }
    }
}

/* Landscape tablets and ipad */
@media (min-width: 768px) and (max-width: 991px) {
    .map_section{
        .maps{
            iframe{
                height: 277px;
            }
        }
    }
    .stay_in_touch_section{
        margin-top: 10px;
        padding-bottom: 60px;
        .content_box{
            .inner_area{
                .left_area{
                    .content{
                        h4{
                            font-size: 36px;
                            line-height: 50px;
                        }
                    }
                }
                .right_area{
                    .content{
                        padding-top: 20px;
                        .left{
                            .flag{
                                width: 35px;
                                height: 16px;
                            }
                        }
                        .right{
                            padding-bottom: 20px;
                            padding-right: 10px;
                            h4{
                                font-size: 22px;
                            }
                            p{
                                padding-top: 12px;
                            }
                            ul{
                                padding-top: 12px;
                                li{
                                    padding-bottom: 5px;
                                }
                            }
                        }
                    }
                }
            }
            .in_touch{
                padding-top: 20px;
                padding-bottom: 20px;
                top: 20px;
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 576px) and (max-width: 767px) {
    .map_section{
        .maps{
            iframe{
                height: 258px;
            }
        }
    }
    .stay_in_touch_section{
        margin-top: 10px;
        padding-bottom: 50px;
        .content_box{
            .inner_area{
                .left_area{
                    .content{
                        h4{
                            font-size: 32px;
                            line-height: 46px;
                        }
                    }
                }
                .right_area{
                    padding-bottom: 14px;
                    .content{
                        padding-top: 20px;
                        .left{
                            .flag{
                                width: 35px;
                                height: 16px;
                            }
                        }
                        .right{
                            padding-bottom: 20px;
                            padding-right: 10px;
                            h4{
                                font-size: 20px;
                            }
                            p{
                                padding-top: 11px;
                            }
                            ul{
                                padding-top: 11px;
                                li{
                                    padding-bottom: 5px;
                                }
                            }
                        }
                    }
                }
            }
            .in_touch{
                padding-top: 20px;
                padding-bottom: 20px;
                top: 20px;
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 361px) and (max-width: 575px) {
    .map_section{
        .maps{
            iframe{
                height: 200px;
            }
        }
    }
    .stay_in_touch_section{
        margin-top: 10px;
        padding-bottom: 40px;
        .content_box{
            .inner_area{
                .left_area{
                    padding-left: 10px;
                    .content{
                        padding-top: 100px;
                        padding-left: 0px;
                        h4{
                            font-size: 25px;
                            line-height: 30px;
                        }
                    }
                }
                .right_area{
                    padding-bottom: 12px;
                    .content{
                        padding-top: 20px;
                        .left{
                            padding-left: 10px;
                            .flag{
                                width: 35px;
                                height: 16px;
                            }
                        }
                        .right{
                            padding-right: 8px;
                            padding-bottom: 20px;
                            h4{
                                font-size: 18px;
                            }
                            p{
                                padding-top: 8px;
                            }
                            ul{
                                padding-top: 8px;
                                li{
                                    padding-bottom: 3px;
                                }
                            }
                        }
                    }
                }
            }
            .in_touch{
                padding: 10px 20px;
                top: 30px;
                p{
                    font-size: 18px;
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 360px) {
    .map_section{
        .maps{
            iframe{
                height: 200px;
            }
        }
    }
    .stay_in_touch_section{
        margin-top: 10px;
        padding-bottom: 40px;
        .content_box{
            .inner_area{
                .left_area{
                    padding-left: 10px;
                    .content{
                        padding-top: 100px;
                        padding-left: 0px;
                        h4{
                            font-size: 25px;
                            line-height: 30px;
                        }
                    }
                }
                .right_area{
                    padding-bottom: 12px;
                    .content{
                        padding-top: 20px;
                        .left{
                            padding-left: 10px;
                            .flag{
                                width: 35px;
                                height: 16px;
                            }
                        }
                        .right{
                            padding-right: 8px;
                            padding-bottom: 20px;
                            h4{
                                font-size: 18px;
                            }
                            p{
                                padding-top: 8px;
                            }
                            ul{
                                padding-top: 8px;
                                li{
                                    padding-bottom: 3px;
                                }
                            }
                        }
                    }
                }
            }
            .in_touch{
                padding: 10px 20px;
                top: 30px;
                p{
                    font-size: 18px;
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 320px) {
    
}